package com.steerinfo.ems.ifmesemsswapfile.mapper;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Set;

import com.steerinfo.ems.ifmesemsswapfile.model.IfMesEmsSwapfile;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.pagehelper.PageList;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface IfMesEmsSwapfileMapper extends IBaseMapper<IfMesEmsSwapfile, String> {
    int insert(IfMesEmsSwapfile model);
    int updateStatus(HashMap<String, Object> model);
    List<IfMesEmsSwapfile> selectNewMaterial(HashMap<String, Object> model);
    BigDecimal getSUM(HashMap<String, Object> model);
}